<?PHP
// -----------------------------------------------------------------
// Funcin que obtiene la extensin de un fichero
// -----------------------------------------------------------------
   function calcula_extension ($nombreFichero)
   {
      $extension = stristr ($nombreFichero, '.');
      $extension = ltrim ($extension, '.');
      $extension = strtoupper ($extension);
      return ($extension);
   }

// -----------------------------------------------------------------
// Funcin que obtiene el tipo de un fichero a partir de su extensin
// -----------------------------------------------------------------
   function tipo_fichero ($extension)
   {
      if ($extension == 'PDF')
         $tipo = 'Documento Adobe PDF';
      else if ($extension == 'TXT')
         $tipo = 'Documento de texto';
      else if ($extension == 'HTML' || $extension == 'HTM')
         $tipo = 'Documento HTML';
      else if ($extension == 'PPT')
         $tipo = 'Presentacin Microsoft Powerpoint';
      else if ($extension == 'DOC')
         $tipo = 'Documento Microsoft Word';
      else if ($extension == 'GIF')
         $tipo = 'Imagen GIF';
      else if ($extension == 'JPG')
         $tipo = 'Imagen JPG';
      else if ($extension == 'ZIP')
         $tipo = 'Archivo comprimido ZIP';
      else
         $tipo = "Archivo " . $extension;
      return ($tipo);
   }
?>
